Badger::Data::Facet::Number::Max(3pm)

NAME
Badger::Data::Facet::Number::Min - validation facet for a minimum numerical value

DESCRIPTION
This module implements a validation facet that assert that a numeric value is less than or equal to a pre-defined value.

METHODS
This module implement the following method in addition to those inherited from the Badger::Data::Facet::Number, Badger::Data::Facet and Badger::Base base classes.

  validate($value_ref, $type)
This method validates that the number passed by reference as the first argument is less than or equal to the pre-defined maximum limit.

AUTHOR
Andy Wardley <http://wardley.org/>

COPYRIGHT
Copyright (C) 2008-2012 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Badger::Base, Badger::Data::Facet, Badger::Data::Facet::Number.